Skip to main content
POST
Fork sandbox

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

sandboxName
string
required

Name of the sandbox to fork

Body

application/json

Request body for forking a sandbox into an application. Creates a new application or adds a canary revision to an existing one.

targetName
string
required

Name of the target application to create or update

Example:

"my-app"

targetType
string
required

Target resource type to fork into

Example:

"application"

customDomain
string

Custom domain for the application

port
integer

Port to expose from the sandbox

Example:

8080

prefix
string

URL prefix for the application

snapshotId
string

Snapshot ID to fork from. When set, the application revision references this snapshot.

traffic
integer

Traffic percentage for canary deployment (0-100). When set on an existing target, creates a new revision with this traffic percentage.

Example:

10

Response

Fork created successfully

Response returned after forking a sandbox. Contains either the new sandbox or application depending on the fork type.

name
string

Name of the created or updated resource

snapshotId
string

The snapshot ID the fork was created from

type
enum<string>

Type of resource that was created (sandbox or application)

Available options:
sandbox,
application
Last modified on July 14, 2026